/* ---------------------------------------------------------- */
/* @(#) KR3.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Agentless AIX OS Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* AIXSnmpMonitorStart */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RmtAIXOS           000000000000000000", 
  'AIXSNMPMONITORSTART "&Subnode_Resource_Name" "&Host" "&Community"',
  "Begin Data Collection from a remote AIX endpoint system.",
  " ", 
  "KR3_SNMP_MONITORSTART_TASK", 
  "AIXSnmpMonitorStart", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* AIXSnmpMonitorStop */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RmtAIXOS           000000000000000000", 
  'AIXSNMPMONITORSTOP "&KR3_MANAGED_SYSTEMS.Subnode_Resource_Name"',
  "Stop Data Collection from a remote AIX endpoint system.",
  " ", 
  "KR3_SNMP_MONITORSTOP_TASK", 
  "AIXSnmpMonitorStop", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KR3_NETWORK.Operational_Status *EQ down )  *OR (
 *VALUE KR3_NETWORK.Operational_Status *EQ testing ) )",
"E",
"0",
"000300",
"*NONE",
"KR3_NIC_Status_Down",
"Kr3:KR31000",
"NNN",
"ATOM=KR3NIFTABL.IFDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_NIC_Status_Down" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF  *VALUE KR3_NETWORK.Operational_Status *EQ unknown",
"E",
"0",
"000300",
"*NONE",
"KR3_NIC_Status_Unknown",
"Kr3:KR31000",
"NNN",
"ATOM=KR3NIFTABL.IFDESCR;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_NIC_Status_Unknown" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR3_DISK.Percentage_of_Available_Space *LT 10.0 *AND
 *SCAN KR3_DISK.Mount_Point *NE 'proc'",
"E",
"0",
"000300",
"*NONE",
"KR3_Disk_Util_High",
"Kr3:KR31001",
"NNN",
"ATOM=KR3FILESYS.FSYSMOUNT;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_Disk_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR3_AIXVOLUMEGROUPTABLE.Percentage_of_Available_Space
 *LT 10.0",
"E",
"0",
"000300",
"*NONE",
"KR3_VG_Util_High",
"Kr3:KR31118",
"NNN",
"ATOM=KR3AIXVG.AIXVGNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_VG_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE
 KR3_AIXPHYSICALVOLUMETABLE.Percentage_of_Available_Space *LT 10.0",
"E",
"0",
"000300",
"*NONE",
"KR3_PV_Util_High",
"Kr3:KR31119",
"NNN",
"ATOM=KR3AIXPV.AIXPVNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_PV_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR3_AIXPAGETABLE.Percent_Available *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR3_Page_Util_High",
"Kr3:KR31120",
"NNN",
"ATOM=KR3AIXPAGE.AIXPAGENAM;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_Page_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR3_MEMORY.Percentage_of_Available_Memory *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR3_Memory_Util_High",
"Kr3:KR31121",
"NNN",
"ATOM=KR3MEMORY.MEMDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_Memory_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr3:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtAIXOS_AIX       000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR3_PROCESSOR_UTILIZATION_TOTAL.Average *GT 90",
"E",
"0",
"000300",
"*NONE",
"KR3_CPU_Util_High",
"Kr3:KR31003",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtAIXOS_AIX" ,
  "KR3_CPU_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
